#ifndef _OUTSTREAM_H_INCLUDED_
#define _OUTSTREAM_H_INCLUDED_
///////////////////////////////////////////////////////////////////////////////
//                                                         
// ResultStream.h  
// --------------
// Getting outstream from executed command
//                                                        
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2017 Bjoern Lemke
//
// INTERFACE MODULE
//
// Class: OutStream
// 
// Description: 
//
// Status: CLEAN
//
///////////////////////////////////////////////////////////////////////////////

// BASE INCLUDES
#include "Chain.h"
#include "ListT.h"


class OutStream {
    
public:
    
    OutStream();
    virtual ~OutStream();

    virtual bool nextLine(const Chain& result) = 0;
    
    void open(const Chain& command);

    int getErrorCode() const;
    
private:

    int _errorCode;
};
#endif
